%define url_ver     %(echo %{version}|cut -d. -f1,2)

%define major       1
%define gi_major    2.0
%define libname     %mklibname %{name}-extension %{major}
%define develname   %mklibname -d %{name}-extension
%define girname     %mklibname %{name}-gir %{gi_major}

%define have_packagekit 0

Name:    caja
Version: 1.28.0
Release: %mkrel 1
Summary: File manager for the MATE desktop environment
Group:   Graphical desktop/MATE
License: GPLv2+ and LGPLv2+
URL:     http://www.mate-desktop.org/
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source4: caja-ffmpegthumbnailer.thumbnailer
Patch0:  nautilus-filetype-symlink-fix.patch
Patch1:  org.mate.caja.gschema.xml.patch
Patch2:  caja-application.c.patch
Patch3:  nautilus-bgo350950-search-desktop.diff
Patch8:  mate-file-manager-1.6.2-double_unref_GMount_objects.patch

BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(gail-3.0) >= 3.0.0
BuildRequires: pkgconfig(unique-3.0)
BuildRequires: pkgconfig(libxml-2.0) >= 2.4.7
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: intltool
BuildRequires: pkgconfig(exempi-2.0) >= 1.99.5
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(cairo-gobject)
BuildRequires: pkgconfig(libexif) >= 0.6.14
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.22.0
BuildRequires: pkgconfig(pango) >= 1.1.2
BuildRequires: pkgconfig(libnotify) >= 0.7.0
BuildRequires: pkgconfig(gio-2.0) >= 2.26.0
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(gtk-doc) >= 1.4

Requires: glib-networking
Requires: ffmpegthumbnailer
Requires: gvfs

Obsoletes: mate-file-manager
Provides:  mate-file-manager = %{version}-%{release}

%description
Caja is the file manager and graphical shell for the MATE desktop,
that makes it easy to manage your files and the rest of your system.

It allows to browse directories on local and remote file systems,
preview files and launch applications associated with them.
It is also responsible for handling the icons on the MATE desktop.


%package -n %{develname}
Summary:   Libraries and include files for developing caja components
Group:  Development/Libraries
Requires:  %{name} = %{version}-%{release}
Provides:  %{name}-devel = %{version}-%{release}

Obsoletes: mate-file-manager-devel
Provides:  mate-file-manager-devel = %{version}-%{release}

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop caja components.


%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
        --disable-static \
        %if %{have_packagekit}
        --enable-packagekit \
        %else
        --disable-packagekit \
        %endif
        --disable-schemas-compile \
        --disable-update-mimedb \
        --disable-icon-update 
        

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool        

%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name *.la -delete

mkdir -p %{buildroot}/%{_datadir}/thumbnailers
install -m644 %{_sourcedir}/caja-ffmpegthumbnailer.thumbnailer %{buildroot}/%{_datadir}/thumbnailers/caja-ffmpegthumbnailer.thumbnailer

mkdir -p %{buildroot}/%{_localstatedir}/lib/mate/desktop \
    %{buildroot}/%{_datadir}/%{name}/default-desktop \
    %{buildroot}/%{_libdir}/%{name}/extensions-2.0

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir %{buildroot}/%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/caja-browser.desktop    

  
%find_lang %{name}

%files -f %{name}.lang
%dir %{_localstatedir}/lib/mate/desktop
%dir %{_localstatedir}/lib/mate/
%{_bindir}/caja
%{_bindir}/caja-autorun-software
%{_bindir}/caja-connect-server
%{_bindir}/caja-file-management-properties
%{_datadir}/caja/
%{_datadir}/dbus-1/services/org.mate.freedesktop.FileManager1.service
%{_datadir}/applications/*
%{_datadir}/metainfo/caja.appdata.xml
%{_datadir}/pixmaps/%{name}/
%{_datadir}/mime/packages/caja.xml
%{_datadir}/thumbnailers/caja-ffmpegthumbnailer.thumbnailer
%{_datadir}/icons/hicolor/*/emblems/emblem-note.png
%{_mandir}/man1/caja-autorun-software.1*
%{_mandir}/man1/caja-connect-server.1*
%{_mandir}/man1/caja-file-management-properties.1*
%{_mandir}/man1/caja.1*
%dir %{_libdir}/caja
%dir %{_libdir}/caja/extensions-2.0

%{_libdir}/libcaja-extension.so.%{major}*
%{_libdir}/girepository-1.0/Caja-%{gi_major}.typelib

%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml

%{_datadir}/gtk-doc/html/libcaja-extension/*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/libcaja-extension.so
%{_libdir}/pkgconfig/libcaja-extension.pc
%{_datadir}/gir-1.0/Caja-%{gi_major}.gir

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig

%changelog
* Thu Feb 22 2024 tex - 1.28.0-1pclos2024
- new version

* Tue Nov 21 2023 tex - 1.26.3-1pclos2023
- new version

* Sun Aug 07 2022 tex - 1.26.1-1pclos2022
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Thu Apr 01 2021 tex - 1.24.1-1pclos2021
- new version

* Mon Feb 10 2020 tex - 1.24.0-1pclos2020
- Update to version 1.24.0

